.sidebar{
    width:260px;
    min-height:100vh;
    background:#212529;
    position:fixed;
    left:0;
    top:0;
    overflow-y:auto;
}

.sidebar .nav-link{
    color:#fff;
    padding:10px;
    border-radius:5px;
}

.sidebar .nav-link:hover{
    background:#0d6efd;
    color:#fff;
}

.main-content{
    margin-left:260px;
    padding:20px;
}

@media(max-width:768px){

.sidebar{
    width:100%;
    min-height:auto;
    position:relative;
}

.main-content{
    margin-left:0;
}

}